Skip to main content
PUT
/
core
/
v3
/
employees
/
{id}
Update an employee
curl --request PUT \
  --url https://api-{region}.sesametime.com/core/v3/employees/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "status": "active",
  "gender": "female",
  "email": "jsmith@example.com",
  "contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": 123,
  "pin": 123,
  "nid": "<string>",
  "identityNumberType": "dni",
  "secondaryIdentityNumberType": "dni",
  "secondaryNid": "<string>",
  "ssn": "<string>",
  "phone": "<string>",
  "dateOfBirth": "2023-12-25",
  "customFields": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "value": "My custom value"
    }
  ],
  "nationality": "ES",
  "nationalities": [
    "ES",
    "FR"
  ],
  "maritalStatus": "<string>",
  "address": "<string>",
  "postalCode": "<string>",
  "emergencyPhone": "<string>",
  "childrenCount": 123,
  "disability": 123,
  "personalEmail": "jsmith@example.com",
  "description": "<string>",
  "city": "<string>",
  "province": "<string>",
  "country": "ES",
  "salaryRange": "<string>",
  "studyLevel": "<string>",
  "professionalCategoryCode": "<string>",
  "professionalCategoryDescription": "<string>",
  "bic": "<string>",
  "accountNumber": "<string>",
  "jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "jobChargeDescription": "<string>",
  "jobChargeCompetencies": "<string>",
  "workPhone": "<string>",
  "mainRecruiter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "nfc": "<string>",
  "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "firstName": "Lucas",
    "lastName": "García",
    "email": "jsmith@example.com",
    "workStatus": "online",
    "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
    "code": 1,
    "pin": 1000,
    "phone": "+34 111 11 11 11",
    "company": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "notificationEmail": "jsmith@example.com",
      "language": "<string>",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    },
    "gender": "female",
    "contractId": "<string>",
    "nid": "<string>",
    "identityNumberType": "dni",
    "secondaryIdentityNumberType": "dni",
    "secondaryNid": "<string>",
    "ssn": "<string>",
    "pricePerHour": 123,
    "accountNumber": "<string>",
    "dateOfBirth": "2023-12-25",
    "customFields": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "slug": "<string>",
        "type": "<string>",
        "value": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00"
      }
    ],
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00",
    "status": "active",
    "children": 2,
    "disability": 25,
    "address": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "province": "<string>",
    "country": "ES",
    "nationality": "ES",
    "nationalities": [
      "ES",
      "FR"
    ],
    "personalMail": "jsmith@example.com",
    "maritalStatus": "<string>",
    "emergencyPhone": "<string>",
    "description": "<string>",
    "salaryRange": "<string>",
    "studyLevel": "<string>",
    "professionalCategoryCode": "<string>",
    "professionalCategoryDescription": "<string>",
    "bic": "<string>",
    "jobChargeId": "<string>",
    "jobChargeName": "<string>",
    "jobChargeDescription": "<string>",
    "jobChargeCompetencies": "<string>",
    "language": "es-ES",
    "workPhone": "+34 111 11 11 11",
    "mainRecruiter": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "Lucas",
      "lastName": "García",
      "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
      "email": "jsmith@example.com",
      "workStatus": "online",
      "workCheckTypeColor": "#FF0000",
      "workCheckTypeName": "Remote"
    },
    "nfc": "<string>",
    "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

id
string<uuid>
required

Employee ID

Body

application/json

Employee object that needs to be updated

firstName
string
required

The first name of the employee

lastName
string
required

The last name of the employee

status
enum<string>
required
Available options:
active,
inactive
gender
enum<string>
Available options:
female,
male,
no_response
email
string<email>

The email for the employee access and notifications (required if invitation is true)

contractId
string<uuid>

The identifier of your internal employee contract

code
integer

The code of the employee

pin
integer

The pin of the employee

nid
string

The National Identity Document of the employee

identityNumberType
enum<string>

Primary identity number type

Available options:
dni,
nie,
rut,
other
secondaryIdentityNumberType
enum<string>

Secondary identity number type (must be different from identityNumberType)

Available options:
dni,
nie,
rut,
other
secondaryNid
string

The Secondary National Identity Document of the employee

ssn
string

The Social Security Number of the employee

phone
string
dateOfBirth
string<date>
customFields
object[]

Custom Fields to fill

nationality
string
deprecated

Employee nationality (deprecated, use nationalities instead)

Example:

"ES"

nationalities
string[]

Array of employee nationalities

Example:
["ES", "FR"]
maritalStatus
string
address
string
postalCode
string
emergencyPhone
string
childrenCount
integer
disability
integer
personalEmail
string<email>
description
string
city
string
province
string
country
string | null

Two-letter country code (ISO alpha-2), e.g. 'ES' for Spain, 'MX' for Mexico.

Required string length: 2
Example:

"ES"

salaryRange
string
studyLevel
string
professionalCategoryCode
string
deprecated

Use contributionGroupId instead

professionalCategoryDescription
string
bic
string
accountNumber
string
jobChargeId
string<uuid>
jobChargeDescription
string

The description of the job position duties and responsibilities

jobChargeCompetencies
string

The competencies and skills required for the job position

workPhone
string
mainRecruiter
string<uuid>
nfc
string
contributionGroupId
string<uuid>

Use the /contract/v1/contribution-groups endpoint to retrieve the list of contribution groups to be used.

Response

200 - application/json

Object

data
object
meta
object